Subject: Re: Trying to compile an X program with CygWin
From: [email-masked] (Stipe Tolj)

15 Oct 1998 17:29:01 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Jorrit Tyberghein <[email-masked]>
Cc: [email-masked]

> Now I'm trying to compile my program (Crystal Space) which is has a
> Unix/X11 target. Compilation goes very smooth but I get a linking error
> which I can't seem to solve:
>
> out/UNIX/engine/library.o(.text+0x2e):library.cc: undefined reference to `__get_eh_context'
> out/UNIX/engine/library.o(.text+0x1c6):library.cc: undefined reference to `__get_eh_context'
> out/UNIX/engine/library.o(.text+0x292):library.cc: undefined reference to `__get_eh_context'
> out/UNIX/engine/msectobj.o(.text+0x18e):msectobj.cc: undefined reference to `__get_eh_context'
> out/UNIX/engine/sector.o(.text+0x2e):sector.cc: undefined reference to `__get_eh_context'
> out/UNIX/engine/sector.o(.text+0x675):sector.cc: more undefined references to `__get_eh_context' follow
>
> Any idea where __get_eh_context () is defined? It is certainly not something from
> my sources (I should know as I've written most of them :-)

the function isn't neither defined within the standard cygwin32 b19 libraries nor in Sergeys X11R6.4
libraries.

Regards,
Stipe

--
Stipe Tolj <[email-masked]>
Cygwin32 Porting Project
Department of Economical Computer Science
University of Cologne, Germany
http://www-public.rz.uni-duesseldorf.de/~tolj

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".